package it.unitn.disi.ronchet.esame22_06_27.functionalities;

import it.unitn.disi.ronchet.esame22_06_27.models.UserProperties;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;
import java.util.HashMap;

public class SessionMonitor implements HttpSessionListener {
    @Override
    public void sessionDestroyed(HttpSessionEvent event) {
        HttpSession session=event.getSession();
        String username=(String)session.getAttribute("username");
        ServletContext ctx=session.getServletContext();
        HashMap<String, UserProperties> userList=(HashMap<String,UserProperties>)ctx.getAttribute("userList");;
        synchronized(ctx) {
            UserProperties up = userList.get(username);
            up.setConnected(false);
            userList.put(username, up);
        }
        System.out.println(session.getAttribute("username")+" has logged off");
    }
}
