package it.unitn.disi.ronchet.esame22_06_27.functionalities;

import it.unitn.disi.ronchet.esame22_06_27.models.LoginBean;
import it.unitn.disi.ronchet.esame22_06_27.models.UserProperties;

import javax.servlet.ServletContext;
import java.util.HashMap;

public class Setup {
    public Setup(ServletContext ctx) {
        HashMap<String, UserProperties> userList=null;
        synchronized(ctx) {
            if (ctx.getAttribute("userList") == null) {
                String username;
                UserProperties up;
                userList = new HashMap<String, UserProperties>();
                // add user 1
                username = "pippo";
                up = new UserProperties("beta", false, "default.css");
                userList.put(username, up);
                // add user 2
                username = "pluto";
                up = new UserProperties("beta", false, "default.css");
                userList.put(username, up);
                // add user 3
                username = "admin";
                up = new UserProperties("nimda", false, "default.css");
                userList.put(username, up);
                ctx.setAttribute("userList", userList);
                //ctx.setAttribute("lastUpdate",System.currentTimeMillis());
            }
            System.out.println("IN SETUP");
            userList = (HashMap<String, UserProperties>) ctx.getAttribute("userList");
        }
        ctx.setAttribute("loginBean",new LoginBean());
        for (String s: userList.keySet()) {
            System.out.println("created user "+s);
        }
    }
}
