package it.unitn.disi.ronchet.esame22_06_27.models;


import java.io.Serializable;
import java.util.HashMap;


public class AdminPageBean implements Serializable {
    String style;
    HashMap<String, UserProperties> userList;
    UserProperties adminUP=null;
    //long timestamp;
    final String[] cssList={"default.css","SS1.css","SS2.css"};

    public AdminPageBean(){};
    public AdminPageBean(HashMap<String,UserProperties> userList) {
        this.userList = userList;
        //this.timestamp = timestamp;
    }

    public String getStylesheet(){
        UserProperties adminUP = userList.get("admin");
        return adminUP.getCss();
    }
    public String buildUserList(){
        StringBuilder sb=new StringBuilder();
        //sb.append("<option value=' '> </option>");
        for (String e:userList.keySet()) {
            sb.append("<option value='"+e+"'>"+e+"</option>");
        }
        return sb.toString();
    }
    public String buildCssList(){
        StringBuilder sb=new StringBuilder();
        //sb.append("<option value=' '> </option>");
        for (String e:cssList) {
            sb.append("<option value='"+e+"'>"+e+"</option>");
        }
        return sb.toString();
    }
}

