package it.unitn.disi.ronchet.esame22_06_27.accessManagement;

import it.unitn.disi.ronchet.esame22_06_27.models.UserProperties;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;
import java.io.IOException;
import java.util.HashMap;

@WebServlet(name = "LogoutServlet", value = "/logout")
public class LogoutServlet extends HttpServlet {
    ServletContext ctx=null;
    @Override
    public void init(){
        ctx=this.getServletContext();
    }
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        System.out.println("===> Entering LogoutServlet doGet");
        HttpSession session=request.getSession(false);
        if (session!=null) {
            String username = (String) session.getAttribute("username");
            session.invalidate();
            HashMap<String, UserProperties> userList = (HashMap<String, UserProperties>) ctx.getAttribute("userList");
            UserProperties up = userList.get(username);
            up.setConnected(false);
            userList.put(username, up);
            //ctx.setAttribute("lastUpdate",System.currentTimeMillis()); // for future use
        }
        RequestDispatcher rd=request.getRequestDispatcher("frontController");
        rd.forward(request,response);
    }
}
