package it.unitn.disi.ronchet.esame22_06_27.functionalities;

import it.unitn.disi.ronchet.esame22_06_27.models.UserProperties;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;
import java.io.IOException;
import java.util.HashMap;

@WebServlet(name = "AddUserServlet", value = "/addUser")
public class AddUserServlet extends HttpServlet {
    ServletContext ctx=null;
    HashMap<String, UserProperties> userList=null;
    @Override
    public void init(){
        ctx=this.getServletContext();
        //make sure data structure is in place
        if (ctx.getAttribute("userList")==null) new Setup(ctx);
        userList=(HashMap<String,UserProperties>)ctx.getAttribute("userList");
    }
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    }
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        String name=request.getParameter("newUser");
        System.out.println("ATTEMPT TO ADD USER "+name);
        if (userList.containsKey(name)) {
            RequestDispatcher rd=request.getRequestDispatcher("addUserErrorPage.html");
            rd.forward(request,response);
            return;
        }
        UserProperties up=new UserProperties("beta",false,"default.css");
        // sincronizziamo solo le scritture
        synchronized (ctx) {
            userList.put(name, up);
            ctx.setAttribute("userList", userList);
        }
        //ctx.setAttribute("lastUpdate",System.currentTimeMillis());
        RequestDispatcher rd=request.getRequestDispatcher("adminPageServlet");
        rd.forward(request,response);
    }
}
