<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:useBean id="adminBean" class="it.unitn.disi.ronchet.esame22_06_27.models.AdminPageBean" scope="request"/>
<html>
<head>
    <title>Admin Page</title>
    <link rel="stylesheet" href="<%=adminBean.getStylesheet()%>">
    <script>
        function showUserData() {
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                        document.getElementById("detail").innerHTML = this.responseText;
                }
            };
            xhttp.open("POST", "ajaxServlet", true);
            xhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
            xhttp.send("name="+document.getElementById('users').value);
        }
        function changeCss() {
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    document.getElementById("result").innerHTML = this.responseText;
                }
            };
            xhttp.open("POST", "ajaxServlet", true);
            xhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
            xhttp.send("name="+document.getElementById('users2').value+
                "&css="+document.getElementById('cssList').value);
        }
    </script>
    </head>
<body>
    <h3> Welcome admin</h3>
    <hr>
    <h4>Add a new user</h4>
    <form action="addUser" method="post">
        <input type="text" name="newUser" required>
        <input type="submit" value="add user">
    </form>
    <hr>
    <h4>Show user properties</h4>
        <label for='users'>Choose a user:</label>
        <select id='users' name='users' onchange='showUserData()'>
        <%=adminBean.buildUserList()%>
        </select><br>
    <p id="detail"></p>
    <hr>
    <h4>Change css for user</h4>
    <label for='users2'>Choose a user:</label>
    <select id='users2' name='users2'>
        <%=adminBean.buildUserList()%>
    </select><br>
    <label for='cssList'>Choose a CSS:</label>
    <select id='cssList' name='cssList'>
        <%=adminBean.buildCssList()%>
    </select><br>
    <button onclick="changeCss()">Apply</button>
    <p id="result"></p>
    <hr>
    <p><a href="logout">logout</a></p>
    </body>
</html>
